%{?mingw_package_header}

%global pypi_name PyQt-builder

Name:           mingw-python-%{pypi_name}
Summary:        MinGW Python %{pypi_name}
Version:        1.13.0
Release:        1%{?dist}
BuildArch:      noarch

License:        GPLv2 or GPLv3
Url:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        %{pypi_source}
# Assorted mingw fixes
Patch0:         PyQt-builder_mingw.patch
# Don't bundle any precompiled libraries
Patch1:         PyQt-builder_no-bundle.patch


BuildRequires:  mingw32-filesystem >= 102
BuildRequires:  mingw32-python3
BuildRequires:  mingw32-python3-setuptools

BuildRequires:  mingw64-filesystem >= 102
BuildRequires:  mingw64-python3
BuildRequires:  mingw64-python3-setuptools


%description
MinGW Python %{pypi_name}.


%package -n mingw32-python3-%{pypi_name}
Summary:       MinGW Python 3 %{pypi_name}
Requires:      mingw32-sip >= 6.0.0

%description -n mingw32-python3-%{pypi_name}
MinGW Python 3 %{pypi_name}.


%package -n mingw64-python3-%{pypi_name}
Summary:       MinGW Python 3 %{pypi_name}
Requires:      mingw64-sip >= 6.0.0

%description -n mingw64-python3-%{pypi_name}
MinGW Python 3 %{pypi_name}.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Delete precompiled dlls
rm -rf pyqtbuild/bundle/dlls/


%build
%{mingw32_py3_build}
%{mingw64_py3_build}


%install
%{mingw32_py3_install}
%{mingw64_py3_install}


%files -n mingw32-python3-%{pypi_name}
%license LICENSE LICENSE-GPL2 LICENSE-GPL3
%{mingw32_bindir}/pyqt-bundle
%{mingw32_bindir}/pyqt-qt-wheel
%{mingw32_python3_sitearch}/pyqtbuild/
%{mingw32_python3_sitearch}/PyQt_builder-%{version}*-py%{mingw32_python3_version}.egg-info/

%files -n mingw64-python3-%{pypi_name}
%license LICENSE LICENSE-GPL2 LICENSE-GPL3
%{mingw64_bindir}/pyqt-bundle
%{mingw64_bindir}/pyqt-qt-wheel
%{mingw64_python3_sitearch}/pyqtbuild/
%{mingw64_python3_sitearch}/PyQt_builder-%{version}*-py%{mingw64_python3_version}.egg-info/


%changelog
* Fri Jul 22 2022 Sandro Mani <manisandro@gmail.com> - 1.13.0-1
- Update to 1.13.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Feb 10 2022 Sandro Mani <manisandro@gmail.com> - 1.12.2-4
- Rebuild for new python dependency generator (take two)

* Thu Feb 10 2022 Sandro Mani <manisandro@gmail.com> - 1.12.2-3
- Rebuild for new python dependency generator

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 01 2021 Sandro Mani <manisandro@gmail.com> - 1.12.2-1
- Update to 1.12.2

* Wed Oct 13 2021 Sandro Mani <manisandro@gmail.com> - 1.12.1-1
- Update to 1.12.1

* Tue Oct 05 2021 Sandro Mani <manisandro@gmail.com> - 1.11.0-2
- Restore lost hunk in PyQt-builder_mingw.patch

* Tue Oct 05 2021 Sandro Mani <manisandro@gmail.com> - 1.11.0-1
- Update to 1.11.0

* Thu Sep 23 2021 Sandro Mani <manisandro@gmail.com> - 1.10.3-2
- Disable bundling of pre-built dlls
- License is GPLv2 or GPLv3

* Tue Sep 14 2021 Sandro Mani <manisandro@gmail.com> - 1.10.3-1
- Initial package
